// This program is a  'C' wrapper for  the  main  "aryarya" executable
// [which  must be  renamed to  "aryarya.main"].  This wrapper fixes a
// keyboard-related problem.  Additionally, it arranges for background
// music.

// To compile this program, use a command similar to the following:
//
//    gcc -o aryarya-middle aryarya-middle.c -lKXL -lX11
//
// Modify the output-file name used here as necessary.

//--------------------------------------------------------------------

#include "KXL.h"

int main (int argc, char **argv)
{
    system ("aoss mikmod -q -v 75 \
__META_PREFIX__/data/aryarya.mod >& /dev/null &");

    system ("__META_PREFIX__/xbin/aryarya.main");

    KXL_CreateWindow
        (100, 100, " ",
            KXL_EVENT_KEY_PRESS_MASK | KXL_EVENT_KEY_RELEASE_MASK);
    KXL_DeleteWindow();

    system ("killany --wait mikmod >& /dev/null");
    return 0;
}
